'use strict';

/**
 * Lucky Kat logo
 * @moduleName LuckyKatLogo
 * @snippet LuckyKatLogo.snippet
LuckyKatLogo({})
 */
bento.define('entities/luckykatlogo', ['bento', 'bento/math/vector2', 'bento/math/rectangle', 'bento/components/sprite', 'bento/components/clickable', 'bento/entity', 'bento/gui/clickbutton', 'bento/gui/counter', 'bento/gui/text', 'bento/eventsystem', 'bento/utils', 'bento/tween'], function (Bento, Vector2, Rectangle, Sprite, Clickable, Entity, ClickButton, Counter, Text, EventSystem, Utils, Tween) {
    'use strict';

    return function (settings) {
        var viewport = Bento.getViewport();
        var scale = window.innerHeight / 2732 * (viewport.height / window.innerHeight);
        var entity = new Entity({
            z: 2,
            name: 'luckyKatLogo',
            position: new Vector2(viewport.width / 2, viewport.height / 2),
            scale: new Vector2(scale, scale),
            components: [new Sprite({
                imageName: 'luckykat',
                originRelative: new Vector2(0.5, 0.5)
            })]
        });
        return entity;
    };
});