'use strict';

bento.define('screens/iapshop', ['bento', 'bento/math/vector2', 'bento/math/rectangle', 'bento/components/sprite', 'bento/components/clickable', 'bento/entity', 'bento/eventsystem', 'bento/gui/clickbutton', 'bento/gui/counter', 'bento/gui/text', 'bento/utils', 'bento/screen', 'bento/tween', 'entities/gridbg', 'gui/gui', 'gui/guiiapshop'], function (Bento, Vector2, Rectangle, Sprite, Clickable, Entity, EventSystem, ClickButton, Counter, Text, Utils, Screen, Tween, GridBg, Gui, GuiIapShop) {

    var onShow = function onShow() {
        var settings = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
        var fromScreen = settings.fromScreen,
            restore = settings.restore;


        Bento.objects.attach(new GridBg({}));

        Gui.load({
            assetName: 'ui/iapshop',
            handlers: GuiIapShop,
            fromScreen: fromScreen,
            restore: restore
        });
    };

    return new Screen({
        onShow: onShow
    });
});